package VocTrainer::Users;

use strict;

use VocTrainer::Database;
use CGI::Cookie;

1;


sub CheckUser {
	my %args = (DBH => '',
				@_);

	die "No DBH" unless $args{DBH};
	my $c = &FetchCookie;
	return { uid => 0 } unless $c;

	my $stmt = "select id, name, firstname, lastname, level, isadmin from Users where sessionid = " . $args{DBH}->quote($c);
	my @data = DB_getdata(STMT => $stmt, DBH => $args{DBH});

	if ($#data == 0) {
		return {
			uid => $data[0][0],
			username => $data[0][1],
			firstname => $data[0][2],
			lastname => $data[0][3],
			level => $data[0][4],
			isadmin => $data[0][5]
		};
	} else {
		return {uid => 0, isadmin => 0, level => 0 };
	}
}

sub FetchCookie {
    my %cookies = fetch CGI::Cookie;
    my $c = $cookies{voctrainersession} || "";
    if ($c && ref $c) {
        return $c->value || "";
    }
    return "";
}

